<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <title>Document</title>
</head>
<body>
        <script type="module">
                import { LitElement, html } from 'https://unpkg.com/lit-element/lit-element.js?module';
                class MyElement extends LitElement {
                static get properties() { return {// Welche Props soll LitElement verwalten?
                prop1: { type: String },
                prop2: { type: Number, reflect: true }
                };} // if attribute should reflect property changes
                constructor() {
                super();
                this.prop1 = '';
                this.prop2 = 0;
                }
                render() {
                return html`
                <p>prop1 ${this.prop1}</p>
                <p>prop2 ${this.prop2}</p>
                <button @click="${this.changeProperties}">change properties</button>
                <button @click="${this.changeAttributes}">change attributes</button>
                `;
                }
                changeAttributes() {
let randy = Math.floor(Math.random()*10);
this.setAttribute('prop1', randy.toString());
this.setAttribute('prop2', randy.toString());
this.requestUpdate();
}
changeProperties() {
let randy = Math.floor(Math.random()*10);
this.prop1 = randy.toString();
this.prop2 = randy;
}
}
customElements.define('my-element', MyElement);
</script>
<my-element></my-element>
</body>
</html>